QTimecode (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.extensions.quantel

## Interface QTimecode

- All Superinterfaces:
    Component, InterchangeObject, MediaEntity, MetadataObject, Segment, TimecodeSegment
  All Known Implementing Classes:
    TimecodeSegmentImpl

      public interface QTimecode
      extends TimecodeSegment

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getTimecodeModifiedFlag()`
    `void` | `setTimecodeModifiedFlag(Integer timecodeModifiedFlag)`

    - ### Methods inherited from interface tv.amwa.maj.model.TimecodeSegment

      `clone, getDropFrame, getFramesPerSecond, getStartTimecode, getTimecode, setTimecode`

    - ### Methods inherited from interface tv.amwa.maj.model.Segment

      `generateSequence, segmentOffsetToTC, segmentTCToOffset`

    - ### Methods inherited from interface tv.amwa.maj.model.Component

      `appendComponentAttribute, appendComponentAttribute, appendComponentKLVData, appendComponentUserComment, appendComponentUserComment, clearComponentAttributes, clearComponentKLVData, clearComponentUserComments, countComponentAttributes, countComponentKLVData, countComponentUserComments, getComponentAttributes, getComponentDataDefinition, getComponentKLVData, getComponentLength, getComponentUserComments, getLengthPresent, removeComponentAttribute, removeComponentKLVData, removeComponentUserComment, setComponentDataDefinition, setComponentLength, setLengthPresent`

    - ### Methods inherited from interface tv.amwa.maj.model.InterchangeObject

      `addApplicationPlugin, clearApplicationPlugins, containsApplicationPlugin, containsApplicationPlugin, countApplicationPlugins, deepEquals, disableGenerationTracking, enableGenerationTracking, equals, getApplicationPlugins, getGeneration, getLinkedGenerationID, getObjectClass, isGenerationTracked, removeApplicationPlugin, removeApplicationPlugin, setLinkedGenerationID, setObjectClass, toString`

    - ### Methods inherited from interface tv.amwa.maj.industry.MediaEntity

      `getPersistentID, setPersistentIndex`

- - ### Method Detail

    - #### getTimecodeModifiedFlag

          @Int32
          int getTimecodeModifiedFlag()
                                      throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setTimecodeModifiedFlag

          void setTimecodeModifiedFlag(@Int32
                                       Integer timecodeModifiedFlag)

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.